# Variable LayoutExports

LayoutExports: {
applyTextStyle: (segment: any, inner: string) => string;
isBlock: (segment: any) => any;
renderMJML: (opts: RenderOpts) => any;
transformLinkSize: (
linkSize: string,
) =>
| { "font-size": string; padding: string }
| { "font-size"?: undefined; padding?: undefined };
transformTextStyle: (
textStyle: string,
) => { [key: string]: string | number };
}

#### Type Declaration

- ##### applyTextStyle: (segment: any, inner: string) => string

- ##### isBlock: (segment: any) => any

- ##### renderMJML: (opts: RenderOpts) => any

- ##### transformLinkSize: (
  linkSize: string,
  ) =>
  | { "font-size": string; padding: string }
  | { "font-size"?: undefined; padding?: undefined }

- ##### transformTextStyle: (textStyle: string) => { [key: string]: string | number }

- Defined in mjml-layout.ts:160
- Defined in mjml-layout.ts:576